Package: groovy.jmx.builder

## [Groovy] Class JmxTimerFactory

- groovy.jmx.builder.JmxTimerFactory

-     class JmxTimerFactory
      extends AbstractFactory

  The JmxTimerFactory class generates a timer() node for JmxBuilder. This node crates a standard JMX Timer object that can be used to provide timing signals to registered JMX listeners.

  Syntax:

       timer(
           name:"object name"|ObjectName(),
           event:"...",
           message:"...",
           data:dataValue
           startDate:"now"|dateValue
           period:"99d"|"99h"|"99m"|"99s"|99
           occurences:long
       )

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JmxTimerFactory()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isLeaf()` Indicates that the timer node is terminal.
    `` | `Object` | `newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)` Creates and registers a JMX timer.
    `` | `boolean` | `onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)` Leaves attribute handling to newInstance(FactoryBuilderSupport, Object, Object, Map).
    `` | `void` | `onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)` Adds the created timer to its parent collection when one exists.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractFactory` | `isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent`

- - ### Constructor Detail

    - #### JmxTimerFactory()

  - ### Method Detail

    - #### boolean isLeaf()

      Indicates that the timer node is terminal.

      Returns:
        `true`

    - #### Object newInstance(FactoryBuilderSupport builder, Object nodeName, Object nodeParam, Map nodeAttribs)

      Creates and registers a JMX timer.

      Parameters:
        `builder` - the active builder
        `nodeName` - the node name
        `nodeParam` - positional node arguments
        `nodeAttribs` - named node attributes
      Returns:
        the exported timer facade

    - #### boolean onHandleNodeAttributes(FactoryBuilderSupport builder, Object node, Map nodeAttribs)

      Leaves attribute handling to newInstance(FactoryBuilderSupport, Object, Object, Map).

      Parameters:
        `builder` - the active builder
        `node` - the current node
        `nodeAttribs` - remaining node attributes
      Returns:
        `false`

    - #### void onNodeCompleted(FactoryBuilderSupport builder, Object parentNode, Object thisNode)

      Adds the created timer to its parent collection when one exists.

      Parameters:
        `builder` - the active builder
        `parentNode` - the parent node
        `thisNode` - the created timer